/*
** File: derror.h  
** Project: ADMXRC3 module driver
** Purpose: Defines function prototypes for device error IOCTL handlers.
**
** (C) Copyright Alpha Data 2012
*/

#if !defined(ADATA_ADMXRC3_DERROR_H)
#define ADATA_ADMXRC3_DERROR_H

#include <df.h>
#include "device.h"

extern DfIoStatus
ioctlClearDeviceErrors(
	Admxrc3DeviceContext* pDevCtx,
  Admxrc3ClientContext* pClCtx);

extern DfIoStatus
ioctlGetDeviceStatus(
	Admxrc3DeviceContext* pDevCtx,
  void* pBuffer,
  unsigned int inSize,
  unsigned int outSize);

#endif
